/** @jsx jsx */
import React from 'react';
import type { WrappedComponentProps } from 'react-intl-next';
import type { DispatchAnalyticsEvent } from '@atlaskit/editor-common/analytics';
import type { ExtractInjectionAPI } from '@atlaskit/editor-common/types';
import { type EditorView } from '@atlaskit/editor-prosemirror/view';
import type { HighlightPlugin } from '../plugin';
export declare const ToolbarHighlightColorWithIntl: React.FC<import("react-intl-next").WithIntlProps<{
    popupsMountPoint?: HTMLElement | undefined;
    popupsBoundariesElement?: HTMLElement | undefined;
    popupsScrollableElement?: HTMLElement | undefined;
    disabled: boolean;
    isToolbarReducedSpacing: boolean;
    dispatchAnalyticsEvent?: DispatchAnalyticsEvent | undefined;
    pluginInjectionApi: ExtractInjectionAPI<HighlightPlugin> | undefined;
    editorView: EditorView;
} & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<{
        popupsMountPoint?: HTMLElement | undefined;
        popupsBoundariesElement?: HTMLElement | undefined;
        popupsScrollableElement?: HTMLElement | undefined;
        disabled: boolean;
        isToolbarReducedSpacing: boolean;
        dispatchAnalyticsEvent?: DispatchAnalyticsEvent | undefined;
        pluginInjectionApi: ExtractInjectionAPI<HighlightPlugin> | undefined;
        editorView: EditorView;
    } & WrappedComponentProps>;
};
